<h1 align="center">Nimbus Universal Swap Widget</h1>

## Supported chains:

- EVM
- TON
- SUI
- SOL
- ECLIPSE

## Installation

### Nimbus Universal Swap Widget

Nimbus Universal Swap Widget is available as an [npm package](https://www.npmjs.com/package/nimbus-universal-swap). Inspired by LiFi widget

**npm:**

```sh
npm install nimbus-universal-swap
```

**yarn:**

```sh
yarn add nimbus-universal-swap
```

## Getting started with Nimbus Widget

Here is an example of a basic app using Nimbus Widget:

```tsx
import { NimbusSwapWidget, WidgetConfig } from 'nimbus-universal-swap';

const widgetConfig: WidgetConfig = {
  theme: {
    container: {
      border: '1px solid rgb(234, 234, 234)',
      borderRadius: '16px',
    },
  },
};

export const WidgetPage = () => {
  return (
    <NimbusSwapWidget
      integrator="Your dApp/company name"
      config={widgetConfig}
    />
  );
};
```

## Examples

See [examples](https://github.com/getnimbus/universal-swap-widget/tree/main/examples) folder in this repository.

## Changelog

The [changelog](https://github.com/getnimbus/universal-swap-widget/blob/main/CHANGELOG.md) is regularly updated to reflect what's changed in each new release.

## License

This project is licensed under the terms of the
[Apache-2.0](https://github.com/getnimbus/universal-swap-widget/blob/main/LICENSE.md).
