'use client';
import { jsx as _jsx } from "react/jsx-runtime";
import { forwardRef, useMemo } from 'react';
import { AppDefault } from './AppDefault.js';
import { AppDrawer } from './AppDrawer.js';
import { AppProvider } from './AppProvider.js';
// fix BigInt serialization
BigInt.prototype.toJSON = function () {
    return this.toString();
};
export const App = forwardRef(({ elementRef, open, onClose, integrator, formRef, ...other }, ref) => {
    const config = useMemo(() => {
        const config = { integrator, ...other, ...other.config };
        if (config.variant === 'drawer') {
            config.theme = {
                ...config.theme,
                container: {
                    height: '100%',
                    ...config.theme?.container,
                },
            };
        }
        return config;
    }, [integrator, other]);
    if (config.variant === 'drawer') {
        return (_jsx(AppProvider, { config: config, formRef: formRef, children: _jsx(AppDrawer, { ref: ref, elementRef: elementRef, config: config, open: open, onClose: onClose, children: _jsx(AppDefault, {}) }) }));
    }
    return (_jsx(AppProvider, { config: config, formRef: formRef, children: _jsx(AppDefault, {}) }));
});
//# sourceMappingURL=App.js.map