import { jsx as _jsx } from "react/jsx-runtime";
import { Badge } from '@mui/material';
import { useChain } from '../../hooks/useChain.js';
import { useToken } from '../../hooks/useToken.js';
// import { SmallAvatar } from '../SmallAvatar.js';
import { AvatarBadgedSkeleton } from './Avatar.js';
import { 
// AvatarDefaultBadge,
AvatarMasked, } from './Avatar.style.js';
export const TokenAvatar = ({ token, chain, isLoading, sx, isFromRoute }) => {
    if (!chain || !token?.logoURI) {
        return (_jsx(TokenAvatarFallback, { token: token, isLoading: isLoading, sx: sx, isFromRoute: isFromRoute }));
    }
    return (_jsx(TokenAvatarBase, { token: token, chain: chain, isLoading: isLoading, sx: sx, isFromRoute: isFromRoute }));
};
export const TokenAvatarFallback = ({ token, isLoading, sx, isFromRoute }) => {
    const { chain } = useChain(token?.chainId);
    const { token: chainToken, isLoading: isLoadingToken } = useToken(token?.chainId, token?.address);
    return (_jsx(TokenAvatarBase, { token: chainToken ?? token, isLoading: isLoading || isLoadingToken, chain: chain, sx: sx, isFromRoute: isFromRoute }));
};
export const TokenAvatarBase = ({ token, chain, isLoading, sx, isFromRoute }) => {
    const avatarStyle = isFromRoute ? {} : { width: 18, height: 18 };
    return isLoading ? (_jsx(AvatarBadgedSkeleton, {})) : (_jsx(Badge
    // overlap="circular"
    // anchorOrigin={{ vertical: 'bottom', horizontal: 'right' }}
    // badgeContent={
    //   chain ? (
    //     <SmallAvatar src={chain.logoURI} alt={chain.name}>
    //       {chain.name[0]}
    //     </SmallAvatar>
    //   ) : (
    //     <AvatarDefaultBadge />
    //   )
    // }
    , { 
        // overlap="circular"
        // anchorOrigin={{ vertical: 'bottom', horizontal: 'right' }}
        // badgeContent={
        //   chain ? (
        //     <SmallAvatar src={chain.logoURI} alt={chain.name}>
        //       {chain.name[0]}
        //     </SmallAvatar>
        //   ) : (
        //     <AvatarDefaultBadge />
        //   )
        // }
        sx: sx, children: _jsx(AvatarMasked, { src: token?.logoURI, alt: token?.symbol, style: avatarStyle, children: token?.symbol?.[0] }) }));
};
//# sourceMappingURL=TokenAvatar.js.map