import { jsxs as _jsxs } from "react/jsx-runtime";
import { useEffect } from 'react';
import { useWidgetConfig } from '../../providers/WidgetProvider/WidgetProvider.js';
import { useSettings } from '../../stores/settings/useSettings.js';
import { useSettingsStore } from '../../stores/settings/useSettingsStore.js';
export const BtnShowCandlesChart = () => {
    const { isShowChart } = useSettings(['isShowChart']);
    const setValue = useSettingsStore((state) => state.setValue);
    const { handleToggleChartCandles, isShowChartCandles } = useWidgetConfig();
    useEffect(() => {
        setValue('isShowChart', isShowChartCandles || false);
    }, [isShowChartCandles, setValue]);
    useEffect(() => {
        handleToggleChartCandles && handleToggleChartCandles(isShowChart || false);
    }, [isShowChart, handleToggleChartCandles]);
    return (_jsxs("div", { style: {
            width: 'max-content',
            fontSize: '0.75rem',
            lineHeight: '1rem',
            cursor: 'pointer',
            border: '1px solid #1e96fc',
            color: '#1e96fc',
            borderRadius: '8px',
            padding: '0.25rem 0.5rem',
            display: 'flex',
            justifyContent: 'center',
            alignItems: 'center',
        }, onClick: () => {
            setValue('isShowChart', !isShowChart);
        }, children: [!isShowChart ? 'Show' : 'Hide', " Chart"] }));
};
//# sourceMappingURL=BtnShowCandlesChart.js.map