import { jsxs as _jsxs, jsx as _jsx } from "react/jsx-runtime";
import { Box, Tooltip, Typography } from '@mui/material';
import { useTranslation } from 'react-i18next';
import { formatUnits } from 'viem';
import { TON_CHAIN_ID } from '../utils/constants.js';
export const FeeBreakdownTooltip = ({ gasCosts, feeCosts, children, }) => {
    const { t } = useTranslation();
    return (_jsx(Tooltip, { title: _jsxs(Box, { children: [gasCosts?.length ? (_jsxs(Box, { children: [t('main.fees.network'), getFeeBreakdownTypography(gasCosts, t)] })) : null, feeCosts?.length ? (_jsxs(Box, { mt: 0.5, children: [t('main.fees.provider'), getFeeBreakdownTypography(feeCosts, t)] })) : null] }), sx: { cursor: 'help' }, children: children }));
};
export const getFeeBreakdownTypography = (fees, t) => {
    return fees.map((fee, index) => {
        const amount = parseFloat(formatUnits(fee.amount, fee.token.decimals))?.toFixed(9);
        return (_jsxs(Typography, { fontSize: 12, fontWeight: "500", color: "inherit", children: [t(`format.currency`, {
                    value: fee?.token?.chainId === TON_CHAIN_ID
                        ? fee.amountUSD / 10
                        : fee.amountUSD,
                }), ' ', "(", fee?.token?.chainId === TON_CHAIN_ID
                    ? Number(amount) / 10
                    : amount, ' ', fee.token.symbol, ")"] }, `${fee.token.address}${index}`));
    });
};
//# sourceMappingURL=FeeBreakdownTooltip.js.map