import { jsx as _jsx, jsxs as _jsxs, Fragment as _Fragment } from "react/jsx-runtime";
import { Box, useMediaQuery } from '@mui/material';
import { ReverseTokensButton } from '../ReverseTokensButton/ReverseTokensButton.js';
import { ReverseTokensButtonEmpty } from '../ReverseTokensButton/ReverseTokensButton.style.js';
import { useFieldValues } from '../../stores/form/useFieldValues.js';
import { useWidgetConfig } from '../../providers/WidgetProvider/WidgetProvider.js';
import { DisabledUI, HiddenUI } from '../../types/widget.js';
import { AmountInput } from '../AmountInputCustom/AmountInput.js';
export const SelectChainAndTokenCustom = (props) => {
    const { subvariant, hiddenUI, disabledUI } = useWidgetConfig();
    const prefersNarrowView = useMediaQuery((theme) => theme.breakpoints.down('sm'));
    const [fromChain, toChain, fromToken, toToken] = useFieldValues('fromChain', 'toChain', 'fromToken', 'toToken');
    const hiddenToToken = subvariant === 'custom' || hiddenUI?.includes(HiddenUI.ToToken);
    const hiddenReverse = subvariant === 'refuel' ||
        disabledUI?.includes(DisabledUI.FromToken) ||
        disabledUI?.includes(DisabledUI.ToToken) ||
        hiddenUI?.includes(HiddenUI.ToToken);
    const isCompact = !!fromChain &&
        !!toChain &&
        !!fromToken &&
        !!toToken &&
        !prefersNarrowView &&
        !hiddenToToken;
    const custom = subvariant === 'custom';
    return (_jsx(_Fragment, { children: !custom ? (_jsxs(Box, { display: "flex", flexDirection: "column", sx: { marginBottom: 2 }, children: [_jsx(AmountInput, { formType: "from" }), !hiddenToToken ? (!hiddenReverse ? (_jsx(ReverseTokensButton, { vertical: !isCompact, isCustom: true })) : (_jsx(ReverseTokensButtonEmpty, {}))) : null, _jsx(AmountInput, { formType: "to" })] })) : null }));
};
//# sourceMappingURL=SelectChainAndTokenCustom.js.map