import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
import { Skeleton, ThemeProvider, useMediaQuery } from '@mui/material';
import { useMemo } from 'react';
import { createTheme } from '../../themes/createTheme.js';
import { AppExpandedContainer, FlexContainer, RelativeContainer, } from '../AppContainer.js';
import { SkeletonAmountContainer, SkeletonCard, SkeletonCardRow, SkeletonHeaderAppBar, SkeletonHeaderContainer, SkeletonInputCard, SkeletonPoweredByContainer, SkeletonReviewButton, SkeletonReviewButtonContainer,
// SkeletonSendToWalletButton,
// SkeletonWalletMenuButtonContainer,
 } from './WidgetSkeleton.style.js';
const SkeletonIcon = () => (_jsx(Skeleton, { width: 24, height: 24, variant: "rounded" }));
const SkeletonSelectCard = ({ titleWidth = 36, placeholderWidth = 195, }) => (_jsxs(SkeletonCard, { elevation: 0, children: [_jsx(Skeleton, { width: titleWidth, height: 22, variant: "text" }), _jsxs(SkeletonHeaderAppBar, { sx: { justifyContent: 'space-between', height: 40 }, children: [_jsxs(SkeletonAmountContainer, { children: [_jsx(Skeleton, { width: placeholderWidth, height: 27, variant: "text" }), _jsx(Skeleton, { width: placeholderWidth, height: 17, variant: "text" })] }), _jsx(SkeletonAmountContainer, { children: _jsx(Skeleton, { width: 48, height: 37, variant: "text", sx: { marginTop: -0.75 } }) })] })] }));
const SkeletonYouPayCard = () => (_jsxs(SkeletonInputCard, { elevation: 0, children: [_jsx(Skeleton, { width: 55, height: 22, variant: "text" }), _jsxs(SkeletonCardRow, { children: [_jsx(Skeleton, { width: 40, height: 40, variant: "circular" }), _jsx(Skeleton, { width: 195, height: 27, variant: "text" })] })] }));
export const WidgetSkeleton = ({ config }) => {
    const appearance = config?.appearance;
    const hiddenUI = config?.hiddenUI || [];
    const requiredUI = config?.requiredUI || [];
    const configTheme = config?.theme;
    const prefersDarkMode = useMediaQuery('(prefers-color-scheme: dark)');
    const appearanceMode = !appearance || appearance === 'auto'
        ? prefersDarkMode
            ? 'dark'
            : 'light'
        : appearance;
    const theme = useMemo(() => createTheme(appearanceMode, configTheme), [appearanceMode, configTheme]);
    return (_jsx(ThemeProvider, { theme: theme, children: _jsx(AppExpandedContainer, { children: _jsxs(RelativeContainer, { sx: { display: 'flex', flexDirection: 'column' }, children: [_jsx(SkeletonHeaderContainer, { children: _jsxs(SkeletonHeaderAppBar, { sx: { justifyContent: 'space-between', height: 40 }, children: [_jsx(Skeleton, { width: 126, height: 34, variant: "text" }), _jsx(SkeletonIcon, {})] }) }), _jsxs(FlexContainer, { sx: {
                            gap: 2,
                            paddingBottom: hiddenUI.includes('poweredBy') ? 3 : 2,
                        }, children: [_jsx(SkeletonSelectCard, {}), _jsx(SkeletonSelectCard, {}), _jsx(SkeletonYouPayCard, {}), requiredUI.includes('toAddress') ? (_jsx(SkeletonSelectCard, { titleWidth: 104, placeholderWidth: 175 })) : null, _jsx(SkeletonReviewButtonContainer, { children: _jsx(SkeletonReviewButton, { variant: "contained", fullWidth: true, children: "\u00A0" }) })] }), !hiddenUI.includes('poweredBy') ? (_jsx(SkeletonPoweredByContainer, { children: _jsx(Skeleton, { width: 96, height: 18, variant: "text" }) })) : null] }) }) }));
};
//# sourceMappingURL=WidgetSkeleton.js.map