import type { LiFiStep } from '@lifi/types';
import type { ExecutionOptions, InteractionSettings, StepExecutor, StepExecutorOptions } from './types.js';
import { StatusManager } from '@lifi/sdk';
export declare abstract class BaseStepExecutor implements StepExecutor {
    protected executionOptions?: ExecutionOptions;
    protected statusManager: StatusManager;
    allowUserInteraction: boolean;
    allowExecution: boolean;
    constructor(options: StepExecutorOptions);
    setInteraction: (settings?: InteractionSettings) => void;
    abstract executeStep(step: LiFiStep): Promise<LiFiStep>;
}
