import { StatusManager } from '@lifi/sdk';
// Please be careful when changing the defaults as it may break the behavior (e.g., background execution)
const defaultInteractionSettings = {
    allowInteraction: true,
    allowUpdates: true,
    allowExecution: true,
};
export class BaseStepExecutor {
    constructor(options) {
        this.allowUserInteraction = true;
        this.allowExecution = true;
        this.setInteraction = (settings) => {
            const interactionSettings = {
                ...defaultInteractionSettings,
                ...settings,
            };
            this.allowUserInteraction = interactionSettings.allowInteraction;
            this.statusManager.allowUpdates(interactionSettings.allowUpdates);
            this.allowExecution = interactionSettings.allowExecution;
        };
        this.statusManager = new StatusManager(options.routeId);
        this.executionOptions = options.executionOptions;
    }
}
//# sourceMappingURL=BaseStepExecutor.js.map