import { BaseStepExecutor } from '../BaseStepExecutor.js';
import type { LiFiStepExtended, StepExecutorOptions } from '../types.js';
export interface MVMStepExecutorOptions extends StepExecutorOptions {
    walletAdapter: any;
    mevProtection?: boolean;
    transactionMode?: 'default' | 'fast';
    customGasPrice?: string;
    maxGasCap?: string;
}
export declare class MVMStepExecutor extends BaseStepExecutor {
    private walletAdapter;
    private commissionBps?;
    private commissionBpsSDK?;
    private slippage?;
    private mevProtection?;
    private transactionMode?;
    private customGasPrice?;
    private maxGasCap?;
    constructor(options: MVMStepExecutorOptions);
    executeStep(step: LiFiStepExtended): Promise<LiFiStepExtended>;
}
