import { ErrorMessage, LiFiErrorCode, SDKError, TransactionError, UnknownError, } from '@lifi/sdk';
export const parseTVMErrors = async (e, step, process) => {
    if (e instanceof SDKError) {
        e.step = e.step ?? step;
        e.process = e.process ?? process;
        return e;
    }
    const baseError = await handleSpecificErrors(e, step, process);
    return new SDKError(baseError, step, process);
};
const handleSpecificErrors = async (e, step, process) => {
    if (e.message.includes('Reject request')) {
        return new TransactionError(LiFiErrorCode.SignatureRejected, e.message, e);
    }
    return new UnknownError(e.message || ErrorMessage.UnknownError, e);
};
//# sourceMappingURL=parseTVMErrors.js.map