import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
import { Box } from '@mui/material';
import { useRef } from 'react';
import { useTranslation } from 'react-i18next';
// import { ChainSelect } from '../../components/ChainSelect/ChainSelect.js';
import { FullPageContainer } from '../../components/FullPageContainer.js';
import { TokenList } from '../../components/TokenList/TokenList.js';
import { useHeader } from '../../hooks/useHeader.js';
import { useNavigateBack } from '../../hooks/useNavigateBack.js';
import { useScrollableOverflowHidden } from '../../hooks/useScrollableContainer.js';
// import { useSwapOnly } from '../../hooks/useSwapOnly.js';
import { useWidgetConfig } from '../../providers/WidgetProvider/WidgetProvider.js';
import { SearchTokenInput } from './SearchTokenInput.js';
import { useTokenListHeight } from './useTokenListHeight.js';
export const SelectTokenPage = ({ formType }) => {
    useScrollableOverflowHidden();
    const { navigateBack } = useNavigateBack();
    const headerRef = useRef(null);
    const listParentRef = useRef(null);
    const { tokenListHeight, minListHeight } = useTokenListHeight({
        listParentRef,
        headerRef,
    });
    // const swapOnly = useSwapOnly();
    const { subvariant } = useWidgetConfig();
    const { t } = useTranslation();
    const title = formType === 'from'
        ? subvariant === 'custom'
            ? t(`header.payWith`)
            : t(`header.from`)
        : t(`header.to`);
    useHeader(title);
    // const hideChainSelect = swapOnly && formType === 'to';
    return (_jsxs(FullPageContainer, { disableGutters: true, children: [_jsx(Box, { pb: 2, px: 3, ref: headerRef, children: _jsx(SearchTokenInput, {}) }), _jsx(Box, { height: minListHeight, children: _jsx(TokenList, { parentRef: listParentRef, height: tokenListHeight, onClick: navigateBack, formType: formType }) })] }));
};
//# sourceMappingURL=SelectTokenPage.js.map