import { jsx as _jsx } from "react/jsx-runtime";
import { BaseTransactionButton } from '../../components/BaseTransactionButton/BaseTransactionButton.js';
import { useFromTokenSufficiency } from '../../hooks/useFromTokenSufficiency.js';
import { useGasSufficiency } from '../../hooks/useGasSufficiency.js';
export const StartTransactionButton = ({ onClick, route, text, loading, }) => {
    const { insufficientGas, isLoading: isGasSufficiencyLoading } = useGasSufficiency(route);
    const { insufficientFromToken, isLoading: isFromTokenSufficiencyLoading } = useFromTokenSufficiency(route);
    const shouldDisableButton = insufficientFromToken || !!insufficientGas?.length;
    return (_jsx(BaseTransactionButton, { onClick: onClick, text: text, disabled: shouldDisableButton, loading: isFromTokenSufficiencyLoading || isGasSufficiencyLoading || loading }));
};
//# sourceMappingURL=StartTransactionButton.js.map