import { jsx as _jsx } from "react/jsx-runtime";
// import type { Adapter } from '@solana/wallet-adapter-base';
import { WalletAdapterNetwork } from '@solana/wallet-adapter-base';
import { ConnectionProvider, WalletProvider, } from '@solana/wallet-adapter-react';
import { SalmonWalletAdapter, NightlyWalletAdapter, } from '@solana/wallet-adapter-wallets';
import { SnapWalletAdapter } from '@drift-labs/snap-wallet-adapter';
import { clusterApiUrl } from '@solana/web3.js';
const endpoint = clusterApiUrl(WalletAdapterNetwork.Mainnet);
const wallets = [
    new SalmonWalletAdapter(),
    new SnapWalletAdapter(),
    new NightlyWalletAdapter(),
];
export const EclipseBaseProvider = ({ children }) => {
    return (_jsx(ConnectionProvider, { endpoint: endpoint, children: _jsx(WalletProvider, { wallets: wallets, autoConnect: true, children: children }) }));
};
//# sourceMappingURL=EclipseBaseProvider.js.map