import { jsx as _jsx, Fragment as _Fragment } from "react/jsx-runtime";
import { ChainType } from '../../../utils/chainType.js';
import { isItemAllowed } from '../../../utils/item.js';
import { useWidgetConfig } from '../../WidgetProvider/WidgetProvider.js';
import { EclipseBaseProvider } from './EclipseBaseProvider.js';
export const EclipseProvider = ({ children }) => {
    const { chains } = useWidgetConfig();
    const isAllowEclipse = isItemAllowed(ChainType.ECLIPSE, chains?.types);
    const isAllowSVM = isItemAllowed(ChainType.SVM, chains?.types);
    return isAllowEclipse && !isAllowSVM ? (_jsx(EclipseBaseProvider, { children: children })) : (_jsx(_Fragment, { children: children }));
};
//# sourceMappingURL=EclipseProvider.js.map