import { jsx as _jsx } from "react/jsx-runtime";
import { TonConnectUI } from '@tonconnect/ui';
import { createContext, useContext, useEffect, useRef, useState, } from 'react';
import { useWidgetConfig } from '../../WidgetProvider/WidgetProvider.js';
export const TVMBaseContext = createContext({
    tonConnectUI: undefined,
    setTonConnectUI: (_) => { },
});
export const useTon = () => useContext(TVMBaseContext);
export const TVMBaseProvider = ({ children }) => {
    const [tonConnectUI, setTonConnectUI] = useState();
    const { tonConnectUI: tonConnector } = useWidgetConfig();
    const effectRan = useRef(false);
    useEffect(() => {
        if (tonConnector) {
            setTonConnectUI(tonConnector);
        }
        else {
            if (!effectRan.current) {
                setTonConnectUI(new TonConnectUI({
                    manifestUrl: 'https://gist.githubusercontent.com/toannhu96/0f9cdecbfa668157a901c76f41ced0f0/raw/78bdaee6e4f101032bb97cfece71b79b7f28fbd5/tonconnect-manifest.json',
                }));
            }
        }
        return () => {
            effectRan.current = true;
        };
    }, [setTonConnectUI, tonConnector]);
    return (_jsx(TVMBaseContext.Provider, { value: {
            tonConnectUI,
            setTonConnectUI,
        }, children: children }));
};
//# sourceMappingURL=TVMBaseProvider.js.map