import { jsx as _jsx, Fragment as _Fragment } from "react/jsx-runtime";
import { ChainType } from '../../../utils/chainType.js';
import { isItemAllowed } from '../../../utils/item.js';
import { useWidgetConfig } from '../../WidgetProvider/WidgetProvider.js';
import { TVMBaseProvider } from './TVMBaseProvider.js';
export function useInTonContext() {
    const { chains } = useWidgetConfig();
    return (Boolean(customElements.get('tc-root')) &&
        isItemAllowed(ChainType.TVM, chains?.types));
}
export const TVMProvider = ({ children }) => {
    const inTonContext = useInTonContext();
    const { tonConnectUI, chains } = useWidgetConfig();
    const isAllowTVM = isItemAllowed(ChainType.TVM, chains?.types);
    if (inTonContext && !tonConnectUI) {
        console.error('TVMProvider: tonConnectUI is required if TonConnect has been initialized');
    }
    return isAllowTVM ? (_jsx(TVMBaseProvider, { children: children })) : (_jsx(_Fragment, { children: children }));
};
//# sourceMappingURL=TVMProvider.js.map