import { Connection, PublicKey } from '@solana/web3.js';
import { type Market, Network } from '@invariant-labs/sdk-eclipse';
import { BN } from '@project-serum/anchor';
export declare const findPairs: (tokenFrom: PublicKey, tokenTo: PublicKey, pairs: any[]) => any[];
export declare const getAllPools: (tokenFromPublicKey: PublicKey, tokenToPublicKey: PublicKey, market: Market) => Promise<any[]>;
export declare const MAX_CROSSES_IN_SINGLE_TX = 11;
export declare const WRAPPED_ETH_ADDRESS = "So11111111111111111111111111111111111111112";
export declare function createAccount(tokenAddress: PublicKey, wallet: any, connection: any): Promise<PublicKey>;
interface ITokenAccount {
    programId: PublicKey;
    balance: BN;
    address: PublicKey;
    decimals: number;
}
export declare function getAllTokenAccounts(wallet: any, connection: any): Promise<ITokenAccount[]>;
export declare const getFullNewTokensData: (addresses: PublicKey[], connection: Connection) => Promise<Record<string, any>>;
export declare enum NetworkType {
    Local = "Local",
    Testnet = "Testnet",
    Devnet = "Devnet",
    Mainnet = "Mainnet"
}
export declare const networkTypetoProgramNetwork: (type: NetworkType) => Network;
export declare function isSwapWithETH(tokenFrom: any, tokenTo: any, connection: any): Promise<boolean>;
export declare function handleSwap(allPools: any, tickmaps: any, marketProgram: any, wallet: any, connection: any, tokenFrom: any, tokenTo: any, byAmountIn: boolean, slippage: any, estimatedPriceAfterSwap: any, poolIndex: number, swapAmount: any): Promise<any>;
export {};
