import { ChainId } from '../../../types/base.js';
import type { RoutesLifinityParams } from './types.js';
export declare const getRoutesLifinity: (params: RoutesLifinityParams) => Promise<import("@lifinity/sdk-v2-eclipse").AmountOut | undefined>;
export declare const formatRoutesLifinity: (lifinityRoutes: any, params: any) => {
    id: string;
    fromToken: any;
    toToken: any;
    fromAmount: number;
    toAmount: number;
    fromAmountUSD: number;
    toAmountUSD: number;
    fromChainId: ChainId;
    toChainId: ChainId;
    toAmountMin: number;
    gasCostUSD: number;
    steps: {
        type: string;
        id: string;
        tool: string;
        toolDetails: {
            key: string;
            name: string;
            logoURI: string;
        };
        action: {
            fromToken: any;
            fromAmount: number;
            toToken: any;
            fromChainId: ChainId;
            toChainId: ChainId;
            slippage: any;
            fromAddress: any;
            toAddress: any;
        };
        estimate: {
            tool: string;
            approvalAddress: string;
            toAmountMin: number;
            toAmount: number;
            fromAmount: number;
            feeCosts: never[];
            executionDuration: number;
            fromAmountUSD: number;
            toAmountUSD: number;
        };
        includedSteps: {
            id: string;
            type: string;
            action: {
                fromChainId: ChainId;
                fromAmount: number;
                fromToken: any;
                toChainId: ChainId;
                toToken: any;
                slippage: any;
                fromAddress: any;
            };
            estimate: {
                tool: string;
                fromAmount: number;
                toAmount: number;
                toAmountMin: number;
                approvalAddress: string;
                executionDuration: number;
                feeCosts: never[];
                gasCosts: never[];
            };
            tool: string;
            toolDetails: {
                key: string;
                name: string;
                logoURI: string;
            };
        }[];
        integrator: string;
        execution: {
            status: string;
            process: never[];
        };
    }[];
    path: never[];
    insurance: {};
    priceImpact: any;
};
