import { ChainId } from '../../../types/base.js';
import type { RoutesOrcaParams } from './types.js';
export declare const handleGetRoutesOrca: (params: any) => Promise<any>;
export declare const handleTrxOrca: (params: any, swap: any) => Promise<any>;
export declare const getRoutesOrca: (params: RoutesOrcaParams) => Promise<any>;
export declare const formatRoutesOrca: (orcaRoutes: any, params: any) => {
    id: string;
    fromToken: any;
    toToken: any;
    fromAmount: any;
    toAmount: any;
    fromAmountUSD: number;
    toAmountUSD: number;
    fromChainId: ChainId;
    toChainId: ChainId;
    toAmountMin: any;
    gasCostUSD: number;
    steps: {
        type: string;
        id: string;
        tool: string;
        toolDetails: {
            key: string;
            name: string;
            logoURI: string;
        };
        action: {
            fromToken: any;
            fromAmount: any;
            toToken: any;
            fromChainId: ChainId;
            toChainId: ChainId;
            slippage: any;
            fromAddress: any;
            toAddress: any;
        };
        estimate: {
            tool: string;
            approvalAddress: string;
            toAmountMin: any;
            toAmount: any;
            fromAmount: any;
            feeCosts: never[];
            executionDuration: number;
            fromAmountUSD: number;
            toAmountUSD: number;
        };
        includedSteps: {
            id: string;
            type: string;
            action: {
                fromChainId: ChainId;
                fromAmount: any;
                fromToken: any;
                toChainId: ChainId;
                toToken: any;
                slippage: any;
                fromAddress: any;
            };
            estimate: {
                tool: string;
                fromAmount: any;
                toAmount: any;
                toAmountMin: any;
                approvalAddress: string;
                executionDuration: number;
                feeCosts: never[];
                gasCosts: never[];
            };
            tool: string;
            toolDetails: {
                key: string;
                name: string;
                logoURI: string;
            };
        }[];
        integrator: string;
        execution: {
            status: string;
            process: never[];
        };
    }[];
    path: never[];
    insurance: {};
    priceImpact: any;
};
