import { BN } from '@project-serum/anchor';
export const handleFormatValue = (fromTokenPriceUSD, fromTokenDecimals, toTokenPriceUSD, toTokenDecimals, inputAmount, outputAmount) => {
    const fromValue = fromTokenPriceUSD
        ? (Number(inputAmount) * Number(fromTokenPriceUSD)) /
            10 ** (fromTokenDecimals || 18)
        : 0;
    const toValue = toTokenPriceUSD
        ? (Number(outputAmount) * Number(toTokenPriceUSD)) /
            10 ** (toTokenDecimals || 18)
        : 0;
    return {
        fromValue: fromValue || 0,
        toValue: toValue || 0,
    };
};
export const convertBalanceToBN = (amount, decimals) => {
    const balanceString = amount.split('.');
    if (balanceString.length !== 2) {
        return new BN(balanceString[0] + '0'.repeat(decimals));
    }
    if (balanceString[1].length <= decimals) {
        return new BN(balanceString[0] +
            balanceString[1] +
            '0'.repeat(decimals - balanceString[1].length));
    }
    return new BN(0);
};
//# sourceMappingURL=utils.js.map