import { ChainId } from '../../../types/base.js';
import type { RoutesFlowXParams } from './types.js';
export declare const getRoutesFlowX: (params: RoutesFlowXParams) => Promise<any>;
export declare const formatRoutesFlowX: (flowxRoutes: any, params: any) => {
    id: string;
    fromToken: any;
    toToken: any;
    fromAmount: bigint;
    toAmount: bigint;
    fromAmountUSD: number;
    toAmountUSD: number;
    fromChainId: ChainId;
    toChainId: ChainId;
    toAmountMin: bigint;
    gasCostUSD: number;
    steps: {
        type: string;
        id: string;
        tool: string;
        toolDetails: {
            key: string;
            name: string;
            logoURI: string;
        };
        action: {
            fromToken: any;
            fromAmount: bigint;
            toToken: any;
            fromChainId: ChainId;
            toChainId: ChainId;
            slippage: any;
            fromAddress: any;
            toAddress: any;
        };
        estimate: {
            tool: string;
            approvalAddress: string;
            toAmountMin: bigint;
            toAmount: bigint;
            fromAmount: bigint;
            feeCosts: never[];
            executionDuration: number;
            fromAmountUSD: number;
            toAmountUSD: number;
        };
        includedSteps: {
            id: string;
            type: string;
            action: {
                fromChainId: ChainId;
                fromAmount: any;
                fromToken: any;
                toChainId: ChainId;
                toToken: any;
                slippage: any;
                fromAddress: any;
            };
            estimate: {
                tool: any;
                fromAmount: any;
                toAmount: any;
                toAmountMin: any;
                approvalAddress: string;
                executionDuration: number;
                feeCosts: never[];
            };
            tool: any;
            toolDetails: {
                key: any;
                name: any;
                logoURI: string;
            };
        }[];
        integrator: string;
        execution: {
            status: string;
            process: never[];
        };
    }[];
    path: never[];
    insurance: {};
    priceImpact: number;
};
