import { ChainId } from '../../../types/base.js';
import type { RoutesRainbowParams } from './types.js';
export declare const getRoutesRainbow: (params: RoutesRainbowParams) => Promise<import("rainbow-swap-sdk").BestRouteResponse | {
    swapMessages: any;
    inputUsd: any;
} | undefined>;
export declare const formatRoutesRainbow: (rainbowRoutes: any, params: any) => {
    id: string;
    fromToken: any;
    toToken: any;
    fromAmount: number;
    toAmount: number;
    fromAmountUSD: any;
    toAmountUSD: any;
    fromChainId: ChainId;
    toChainId: ChainId;
    toAmountMin: number;
    gasCostUSD: any;
    steps: {
        type: string;
        id: string;
        tool: string;
        toolDetails: {
            key: string;
            name: string;
            logoURI: string;
        };
        action: {
            fromToken: any;
            fromAmount: number;
            toToken: any;
            fromChainId: ChainId;
            toChainId: ChainId;
            slippage: any;
            fromAddress: any;
            toAddress: any;
        };
        estimate: {
            tool: string;
            approvalAddress: string;
            toAmountMin: number;
            toAmount: number;
            fromAmount: number;
            feeCosts: never[];
            gasCosts: {
                type: string;
                price: any;
                estimate: number;
                limit: number;
                amount: number;
                amountUSD: number;
                token: any;
            }[];
            executionDuration: number;
            fromAmountUSD: any;
            toAmountUSD: any;
        };
        includedSteps: any;
        integrator: string;
        execution: {
            status: string;
            process: never[];
        };
    }[];
    path: never[];
    insurance: {};
    priceImpact: number;
};
