import { type RequestOptions, type RoutesResponse } from '@lifi/sdk';
import type { RoutesRequest } from '../types/api.js';
/**
 * Get a set of routes for a request that describes a transfer of tokens.
 * @param params - A description of the transfer.
 * @param options - Request options
 * @returns The resulting routes that can be used to realize the described transfer of tokens.
 * @throws {LiFiError} Throws a LiFiError if request fails.
 */
export declare const getRoutes: (params: RoutesRequest, options?: RequestOptions) => Promise<RoutesResponse>;
