import type { ChainKey, TokensResponse } from '@lifi/sdk';
import { ChainId } from '../types/base.js';
import { ChainType } from '../utils/chainType.js';
import type { Token } from '../types/token.js';
export declare const getTonTokens: () => Promise<Token[]>;
export declare const getMoveTokens: () => Promise<Token[]>;
export declare const getEclipseTokens: () => Promise<Token[]>;
export type TokensRequest = {
    chains?: (ChainId | ChainKey)[];
    chainTypes?: ChainType[];
};
/**
 * Get all known tokens.
 * @param params - The configuration of the requested tokens
 * @param options - Request options
 * @returns The tokens that are available on the requested chains
 */
export declare const getTokens: (params?: TokensRequest) => Promise<TokensResponse>;
