export declare const precisionFormatter: Intl.NumberFormat;
/**
 * Format token amount to at least 4 decimals.
 * @param amount amount to format.
 * @returns formatted amount.
 */
export declare function formatTokenAmount(amount: bigint | undefined, decimals: number): string;
export declare function formatSlippage(slippage?: string, defaultValue?: string, returnInitial?: boolean): string;
export declare function formatInputAmount(amount: string, decimals?: number | null, returnInitial?: boolean): string;
export declare function formatTokenPrice(amount?: string, price?: string): number;
/**
 * Converts a number to a subscript format if it contains leading zeros in the fractional part.
 *
 * @param {number} value - The number to be converted.
 * @param {Intl.NumberFormatOptions} options An object that contains one or more properties that specify comparison options.
 * @returns {string} - The number formatted as a string, with subscripts for leading zeros if applicable.
 */
export declare function convertToSubscriptFormat(value: number, options?: Intl.NumberFormatOptions): string;
