import { isAddress } from './isAddress.js';

interface SNSResult {
  s: 'ok' | 'error';
  result: string;
}

export const getSNSAddress = async (name: string) => {
  try {
    if (!name.endsWith('.sol')) {
      return;
    }
    // const rpcUrl = await getRpcUrl(ChainId.SOL)
    const snsWorkerUrl = `https://sns-sdk-proxy.bonfida.workers.dev/resolve/${name}`;
    const response: Response = await fetch(snsWorkerUrl);
    if (!response.ok) {
      return;
    }

    const data: SNSResult = await response.json();

    if (!isAddress(data.result)) {
      return;
    }

    return data.result;
  } catch (_) {
    // ignore
    return;
  }
};
