import { type FC, type PropsWithChildren } from 'react';
import { EVMProvider } from './EVM/EVMProvider.js';
import { SDKProviders } from './SDKProviders.js';
import { TVMProvider } from './TVM/TVMProvider.js';
import { MVMProvider } from './MVM/MVMProvider.js';
import { SVMProvider } from './SVM/SVMProvider.js';
// import { EclipseProvider } from './EclipseProvider.js';

export const WalletProvider: FC<PropsWithChildren> = ({ children }) => {
  return (
    <TVMProvider>
      <MVMProvider>
        <EVMProvider>
          <SVMProvider>
            {/* <EclipseProvider>
              <SDKProviders />
              {children}
            </EclipseProvider> */}
            <SDKProviders />
            {children}
          </SVMProvider>
        </EVMProvider>
      </MVMProvider>
    </TVMProvider>
  );
};
