import type { CoinKey } from '@lifi/sdk';
import type { ChainId } from './base.js';

export interface SDKTokenAmount extends Token {
  amount?: bigint;
  blockNumber?: bigint;
}

export interface BaseToken {
  chainId: ChainId;
  address: string;
}

export interface StaticToken extends BaseToken {
  symbol: string;
  decimals: number;
  name: string;
  coinKey?: CoinKey;
  logoURI?: string;
}

export interface Token extends StaticToken {
  priceUSD: string;
}

export interface TokenAmount extends SDKTokenAmount {
  featured?: boolean;
  popular?: boolean;
  isVerified?: boolean;
}
